QwtPolarFitter(3)

NAME
QwtPolarFitter - A simple curve fitter for polar points.

SYNOPSIS

#include <qwt_polar_fitter.h>

Inherits QwtCurveFitter.

  Public Member Functions
QwtPolarFitter (int stepCount=5)
virtual ~QwtPolarFitter ()
Destructor.
void setStepCount (int size)
int stepCount () const
virtual QPolygonF fitCurve (const QPolygonF &) const override
virtual QPainterPath fitCurvePath (const QPolygonF &) const override

  Additional Inherited Members

Detailed Description

A simple curve fitter for polar points. QwtPolarFitter adds equidistant points between 2 curve points, so that the connection gets rounded according to the nature of a polar plot.

See also
    QwtPolarCurve::setCurveFitter()

Definition at line 24 of file qwt_polar_fitter.h.

Constructor & Destructor Documentation

  QwtPolarFitter::QwtPolarFitter (int stepCount = 5)
Constructor

Parameters
    stepCount Number of points, that will be inserted between 2 points

See also
    setStepCount()

Definition at line 30 of file qwt_polar_fitter.cpp.

Member Function Documentation

  QPolygonF QwtPolarFitter::fitCurve (const QPolygonF & points) const [override], [virtual]
Insert stepCount() number of additional points between 2 elements of points.

Parameters
    points Array of points

Returns
    Array of points including the additional points

Implements QwtCurveFitter.

Definition at line 72 of file qwt_polar_fitter.cpp.

  QPainterPath QwtPolarFitter::fitCurvePath (const QPolygonF & points) const [override], [virtual]

Parameters
    points Series of data points

Returns
    Curve path

See also
    fitCurve()

Implements QwtCurveFitter.

Definition at line 110 of file qwt_polar_fitter.cpp.

  void QwtPolarFitter::setStepCount (int stepCount)
Assign the number of points, that will be inserted between 2 points The default value is 5.

Parameters
    stepCount Number of steps

See also
    stepCount()

Definition at line 51 of file qwt_polar_fitter.cpp.

  int QwtPolarFitter::stepCount () const

Returns
    Number of points, that will be inserted between 2 points

See also
    setStepCount()

Definition at line 60 of file qwt_polar_fitter.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.